Summary:	X.org video driver for NVIDIA video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych NVIDIA
Name:		xorg-driver-video-nv
Version:	2.1.21
Release:	3%{?tld}
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-nv-%{version}.tar.bz2
# Source0-md5:	1fdd41d88232043811cbe3f5ac724c5f
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10.7
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.3
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-lib-libpciaccess >= 0.10.7
Requires:	xorg-xserver-server >= 1.3
Provides:	xorg-driver-video
Obsoletes:	X11-driver-nv < 1:7.0.0
Obsoletes:	XFree86-NVidia
Obsoletes:	XFree86-driver-nv < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for NVIDIA video adapters. It supports PCI and AGP
video cards based on the following chips:
- RIVA 128 (NV3),
- RIVA TNT (NV4),
- RIVA TNT2 (NV5),
- GeForce 256, Quadro (NV10),
- GeForce2, Quadro2 (NV11, NV15),
- GeForce3, Quadro DCC (NV20),
- nForce, nForce2 (NV1A, NV1F),
- GeForce4, Quadro4 (NV17, NV18, NV25, NV28),
- GeForce FX, Quadro FX (NV30, NV31, NV34, NV35, NV36, NV37, NV38),
- GeForce 6xxx (NV40, NV41, NV43, NV44, NV45, C51),
- GeForce 7xxx (G70, G71, G72, G73, MCP6x),
- GeForce 8xxx/9xxx/G, nForce 7, ION (G8x, G9x, GT21x, MCP7x),
- GeForce GTX (GT200).

Note: this driver supports 2D accelleration only. For 3D acceleration
check out xorg-driver-video-nouveau or proprietary NVIDIA drivers (for
more recent hardware only).

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych NVIDIA. Obsługuje karty
PCI i AGP oparte na następujących układach:
- RIVA 128 (NV3),
- RIVA TNT (NV4),
- RIVA TNT2 (NV5),
- GeForce 256, Quadro (NV10),
- GeForce2, Quadro2 (NV11, NV15),
- GeForce3, Quadro DCC (NV20),
- nForce, nForce2 (NV1A, NV1F),
- GeForce4, Quadro4 (NV17, NV18, NV25, NV28),
- GeForce FX, Quadro FX (NV30, NV31, NV34, NV35, NV36, NV37, NV38),
- GeForce 6xxx (NV40, NV41, NV43, NV44, NV45, C51),
- GeForce 7xxx (G70, G71, G72, G73, MCP6x),
- GeForce 8xxx/9xxx/G, nForce 7, ION (G8x, G9x, GT21x, MCP7x),
- GeForce GTX (GT200).

Uwaga: ten sterownik obsługuje tylko akcelerację 2D. Akceleracja 3D
jest obsługiwana przez sterownik xorg-driver-video-nouveau albo
zamknięte sterowniki firmy NVIDIA (tylko dla nowszych kart).

%prep
%setup -q -n xf86-video-nv-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README README.G80
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/nv_drv.so
%{_mandir}/man4/nv.4*
%changelog
* Wed Apr 06 2022 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-video-nv.git;a=log;h=master

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> c7d1fe6
- rebuil with xorg-xserver-server 21.1.0

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 77ee9b5
- release 2 (by relup.sh)

* Fri Jan 20 2017 Jakub Bogusz <qboosh@pld-linux.org> b018d5f
- updated to 2.1.21
- removed obsolete build,xserver-1.19 patches

* Mon Nov 28 2016 Jan Rękorajski <baggins@pld-linux.org> a4b2ecf
- fix building with xserver 1.19
- rel 11

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 1496432
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9141f46
- release 9 (by relup.sh)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 22dcec6
- due to xserver 1.17
- release 8 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 40c9322
- xserver rebuild
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d98d510
- xserver rebuild
- release 6 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 26b7910
- release 5 (by relup.sh)

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> db3d242
- rel 4; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 73eb39e
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 40c47d2
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 6a4ebbf
- updated to 2.1.20

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f441f1e
- release 6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 26ed623
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 6a28632
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ecd1e65
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 58aa50d
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 7dd600f
- updated to 2.1.18
- updated hardware list, added 3D accel note

